@import './base.css';
@import '@valiant.id/elderjs-prism/node_modules/prismjs/themes/prism-coy.css' ( prefers-color-scheme: light );
@import '@valiant.id/elderjs-prism/node_modules/prismjs/themes/prism-okaidia.css' ( prefers-color-scheme: dark );
@import '@valiant.id/elderjs-photoswipe/node_modules/photoswipe/dist/photoswipe.css';
@import '@valiant.id/elderjs-photoswipe/node_modules/photoswipe/dist/default-skin/default-skin.css';

.link-no-decor {
	&,
	&:visited {
		color: inherit;
		text-decoration: none;
	}

	&:focus,
	&:hover {
		color: var( --link-color );
		text-decoration: underline;
	}
}

.list-inline {
	text-align: center;
	list-style: none;
	padding-inline-start: 0;

	li {
		display: inline;
		margin-inline-start: 0.5rem;
		margin-inline-end: 0.5rem;
	}
}

.screen-reader-text {
	clip: rect( 1px, 1px, 1px, 1px );
	height: 1px;
	overflow: hidden;
	position: absolute !important;
	width: 1px;

	&:focus {
		background-color: var( --background-color );
		color: var( --foreground-color );
		box-shadow: 0 0 2px 2px var( --foreground-color );
		border-radius: 3px;
		clip: auto !important;
		display: block;
		font-size: 14px;
		font-weight: 700;
		height: auto;
		left: 5px;
		line-height: normal;
		padding: 15px 23px 14px;
		text-decoration: none;
		top: 5px;
		width: auto;
		z-index: 100000;
	}
}

/* Blocks */

figure,
img {
	&.aligncenter,
	&.alignleft,
	&.alignright {
		display: block;
		margin-inline-start: auto;
		margin-inline-end: auto;
	}
}

.gallery {
	display: grid;
	grid-template-columns: repeat( auto-fit, minmax( 200px, 1fr ) );
	grid-gap: 0.25rem;

	&-item {
		margin-block-start: 0;
		margin-block-end: 0;
	}

	img {
		display: block;
		margin-block-end: 0;
		width: 100%;
	}
}

.has-js .gallery-item {
	&.with-cover {
		a {
			position: relative;
			display: block;

			&::before {
				display: block;
				position: absolute;
				z-index: 2;
				top: 0;
				left: 0;
				height: 100%;
				width: 100%;
				background-color: rgb( 0 0 0 / 60% );
				content: '';
				transition: background-color 0.5s ease;
			}

			&:hover::before {
				background-color: rgb( 0 0 0 40% );
			}

			&::after {
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate( -50%, -50% );
				z-index: 3;
				color: var( --color-white );
				content: '+' attr( data-hidden-count );
				font-size: calc( var( --font-size-huge ) * 1.5 );
			}
		}
	}

	&:nth-child( 7n ) {
		&,
		~ .gallery-item {
			display: none;
		}
	}

	@media ( --br-mobile-only ) {
		&:nth-child( 2n ) {
			&,
			~ .gallery-item {
				display: none;
			}
		}
	}
}

article pre {
	&,
	&[class*='language-'] {
		font-size: 0.875rem;
		overflow: visible;
		box-sizing: border-box;

		/* Give some more breathing room. */
		> code {
			line-height: 1.8;
			padding-inline-start: 1em;
			padding-inline-end: 1em;
			position: relative;

			@media ( prefers-color-scheme: light ) {
				background-size: 3.6em 3.6em;

				.token.variable {
					background: none;
				}
			}
		}

		@media ( prefers-color-scheme: dark ) {
			/* From Prism's Okaidia theme. */
			background-color: #1c1c1c;
		}
	}
}

@media ( --br-tablet ) {
	figure,
	img {
		&.alignleft {
			float: left;
			margin-inline-end: var( --spacing-outer );
		}

		&.alignright {
			float: right;
			margin-inline-start: var( --spacing-outer );
		}
	}
}
@media ( --br-desktop ) {
	article pre,
	article pre[class*='language-'],
	.alignwide,
	.gallery {
		width: 80vw;
		max-width: 50rem;
		position: relative;
		left: 50%;
		right: 50%;
		margin-inline-start: calc( -40vw + ( ( 80vw - 50rem ) / 2 ) );
		margin-inline-end: calc( -40vw + ( ( 80vw - 50rem ) / 2 ) );
	}
}
